{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showEditButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Objektnr.',
        'columnId': 'objektnummer',
        'ariaLabelId': 'object-number',
        'ariaLabelName': 'Object Number'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Bezeichnung',
        'columnId': 'bezeichnung',
        'ariaLabelId': 'title',
        'ariaLabelName': 'Title'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Anschrift',
        'columnId': 'anschrift',
        'ariaLabelId': 'address',
        'ariaLabelName': 'Address'
    } only %}
{% endblock %}

{% block tableContent %}
    {% if showEditButton == true %}
        <td class="mdc-data-table__cell">
            <a href="{{ path('property_vacancy_management_building_unit_basic_data', {'buildingUnitId': listItem.getId()}) }}" class="material-icons mdc-icon-button mdc-card__action mdc-card__action--icon text-secondary">
                <div class="mdc-icon-button__ripple"></div>
                edit
            </a>
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getId() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getName() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getAddress().getStreetName() }} {{ listItem.getAddress().getHouseNumber() }}, {{ listItem.getAddress().getPostalCode() }} {{ listItem.getAddress().getPlace().getPlaceName() }}</td>
{% endblock %}
